Method: projects.locations.repositories.pullRequests.list

Lists pull requests in a repository.

HTTP request


GET https://securesourcemanager.asia-east1.rep.googleapis.com/v1/{parent=projects/*/locations/*/repositories/*}/pullRequests

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The repository in which to list pull requests. Format: projects/{project_number}/locations/{locationId}/repositories/{repositoryId}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. If unspecified, a default size of 30 will be used. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A token identifying a page of results the server should return.

Request body

The request body must be empty.

Response body

ListPullRequestsResponse is the response to list pull requests.

If successful, the response body contains data with the following structure:

JSON representation
{
  "pullRequests": [
    {
      object (PullRequest)
    }
  ],
  "nextPageToken": string
}
Fields
pullRequests[]

object (PullRequest)

The list of pull requests.

nextPageToken

string

A token identifying a page of results the server should return.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • securesourcemanager.pullRequests.list

For more information, see the IAM documentation.